Xerces-C++ 3.3.0

Public Member Functions | List of all members
StDOMNode< T > Class Template Reference

`#include <xercesc/dom/StDOMNode.hpp>`

## Public Member Functions
| StDOMNode (T *node=(T *) 0)
| StDOMNode (const StDOMNode &stNode)
| ~StDOMNode ()
T * | operator= (T *node)
bool | operator!= (T *node) const
bool | operator== (T *node) const
T & | operator* ()
const T & | operator* () const
T * | operator-> () const
| operator T* () const
void | ClearNode ()

## Constructor & Destructor Documentation

## ◆ StDOMNode() [1/2]

template<class T >

StDOMNode< T >::StDOMNode | ( | T * | node = (T*)0 | ) |

## ◆ StDOMNode() [2/2]

template<class T >

StDOMNode< T >::StDOMNode | ( | const StDOMNode< T > & | stNode | ) |

## ◆ ~StDOMNode()

template<class T >

StDOMNode< T >::~StDOMNode | ( |  | ) |

## Member Function Documentation

## ◆ ClearNode()

template<class T >

void StDOMNode< T >::ClearNode | ( |  | ) |

References StDOMNode< T >::operator=().

## ◆ operator T*()

template<class T >

StDOMNode< T >::operator T* | ( |  | ) | const

## ◆ operator!=()

template<class T >

bool StDOMNode< T >::operator!= | ( | T * | node | ) | const

## ◆ operator*() [1/2]

template<class T >

T & StDOMNode< T >::operator* | ( |  | ) |

## ◆ operator*() [2/2]

template<class T >

const T & StDOMNode< T >::operator* | ( |  | ) | const

## ◆ operator->()

template<class T >

T * StDOMNode< T >::operator-> | ( |  | ) | const

## ◆ operator=()

template<class T >

T * StDOMNode< T >::operator= | ( | T * | node | ) |

Referenced by StDOMNode< T >::ClearNode().

## ◆ operator==()

template<class T >

bool StDOMNode< T >::operator== | ( | T * | node | ) | const

The documentation for this class was generated from the following file:

- StDOMNode.hpp